---
name: cli-resilience
description: Inspect and manage circuit-breaker states, connection cooldowns, quota limits, and backoff levels from the CLI. Reset stuck providers and configure resilience thresholds.
---
<!-- generated by src/lib/agentSkills/generator.ts; manual edits will be overwritten -->

## Overview

Inspect and manage circuit-breaker states, connection cooldowns, quota limits, and backoff levels from the CLI. Reset stuck providers and configure resilience thresholds.

## Quick install

```bash
npm install -g omniroute   # or: npx omniroute
omniroute --version
```

## Subcommands

### `quota`

**Flags:**

- `--provider <id>`
- `--json`

**Example:**

```bash
omniroute quota
```

### `resilience`

**Example:**

```bash
omniroute resilience
```

### `resilience status`

**Flags:**

- `--provider <p>`

**Example:**

```bash
omniroute resilience status
```

### `resilience breakers`

**Flags:**

- `--provider <p>`

**Example:**

```bash
omniroute resilience breakers
```

### `resilience cooldowns`

**Flags:**

- `--provider <p>`
- `--connection-id <id>`

**Example:**

```bash
omniroute resilience cooldowns
```

### `resilience lockouts`

**Flags:**

- `--provider <p>`
- `--model <m>`

**Example:**

```bash
omniroute resilience lockouts
```

### `resilience reset`

**Flags:**

- `--connection-id <id>`
- `--model <m>`
- `--all-cooldowns`
- `--yes`

**Example:**

```bash
omniroute resilience reset
```

### `resilience profile`

**Example:**

```bash
omniroute resilience profile
```

### `resilience show`

**Example:**

```bash
omniroute resilience show
```

### `resilience set`

**Example:**

```bash
omniroute resilience set
```

### `resilience config`

**Example:**

```bash
omniroute resilience config
```

### `resilience show`

**Example:**

```bash
omniroute resilience show
```

### `resilience set`

**Flags:**

- `--threshold <n>`
- `--reset-timeout <ms>`
- `--base-cooldown <ms>`

**Example:**

```bash
omniroute resilience set
```
